Prompt the user to update a BlackBerry Dynamics app Skip Navigation

Prompt the user to update a 
BlackBerry Dynamics
 app

Users should always upgrade to the latest available version of a 
BlackBerry Dynamics
 app to benefit from the latest security protections, features, and fixes. If a user has turned off automatic app updates on their device, the user runs the risk of remaining on an older version of an app that does not have the latest enhancements and protections. You can implement an app policy that will enable your 
BlackBerry Dynamics
 apps, on startup, to detect whether the user should upgrade to the latest available version. The 
BlackBerry Dynamics Runtime
 provides a notification using the ThreatStatus interface only if the user is running an older version of the app.
To implement this feature, you must use 
BlackBerry Dynamics SDK
 version 8.0 or later, and you must implement a 
BlackBerry Dynamics
 application policy in 
UEM
. Note that the 
UEM
 administrator cannot view or change the policy configuration. The minimum required version and the app download URL are configured using hidden fields in the application policy.
The ThreatApplicationSecurity (Android/iOS) class in the ThreatStatus API (Android/iOS) provides a warning. The isAppVersionOutOfDate() method (Android/iOS) indicates if the current version of the app that is installed on the device is lower than the minimum required version. A string with the URL to download the latest version is returned using getAppUpdateURL() (Android/iOS).
  1. Create a 
    BlackBerry Dynamics
     app policy definition file for your app. For implementation details and more information about the file format and elements, see the Application Policies Definition appendix in the API Reference and the BlackBerry Dynamics App Policies Technical Brief.
  2. Add the following settings:
    • blackberry.security.appInfo.android.appMinVersion
      : This is the minimum required versionCode from the 
      Android
       manifest file.
    • blackberry.security.appInfo.iOS.appMinVersion
      : This is the minimum required bundle version as defined in the 
      Xcode
       info.plist file.
    • blackberry.security.appInfo.android.appUpdateURL
      : This is the URL that the user can use to download your 
      Android
       app.
    • blackberry.security.appInfo.iOS.appUpdateURL
      : This is the URL that the user can use to download your 
      iOS
       app.
    Example:
    <setting name="android_appMinVersion"> <hidden> <key>blackberry.security.appInfo.android.appMinVersion</key> <value>16</value> </hidden> </setting> <setting name="iOS_appMinVersion"> <hidden> <key>blackberry.security.appInfo.iOS.appMinVersion</key> <value>20</value> </hidden> </setting> <setting name="iOS_appUpdateURL"> <hidden> <key>blackberry.security.appInfo.iOS.appUpdateURL</key> <value>https://apps.apple.com/us/app/blackberry-work/id890656632</value> </hidden> </setting> <setting name="android_appUpdateURL"> <hidden> <key>blackberry.security.appInfo.android.appUpdateURL</key> <value>https://play.google.com/store/apps/details?id=com.good.gcs</value> </hidden> </setting>
  3. Include the settings in the structural section of the file.
    Example:
    <pview> <!-- App Minimum Version Security Configuration --> <pe ref="android_appMinVersion"/> <pe ref="android_appUpdateURL"/> <pe ref="iOS_appMinVersion"/> <pe ref="iOS_appUpdateURL"/> </pview>
  4. Coordinate with the 
    UEM
     administrator to upload the app policy for your app in 
    UEM
    . See Manage settings for a BlackBerry Dynamics apps (App configuration > Upload a template).